SET DEFINE OFF
--
-- 
-- ___________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ___________________________________________________________________
--
--
-- 
-- Fichier :  n°3/3
-- Type : DML
-- Schéma modifié :  STAGES
-- Schéma d'execution du script : STAGES
-- Numéro de version :  0.1.0.0
-- Date de publication : 15/06/2012
-- Licence : CeCILL version 2
--
--

/**
 * Remplissage initial des tables
 * Vous pouvez modifier les libellé long, mais à terme, ils seront configurables via l'application  
 */

whenever sqlerror exit sql.sqlcode ;


-- STG_ACCES
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'CANDI', 'Candidature spontanée');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'ETABL', 'Offre sur le site de l''établissement');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'MRIP' , 'Maison de la Réussite');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'RELAT', 'Relations ancien diplômés');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'PERSO', 'Relations personnelles');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'ENTRE', 'Site internet de l''entreprise');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'ENSEI', 'Enseignant');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'AUTRE', 'Autre');

-- STG_CONFIG
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL, 'default_user_pers_id', '2178');
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL, 'default_acces_lc', 'CANDI');

-- STG_TYPE
INSERT INTO STAGES.STG_TYPE (STY_ID, STY_LC, STY_LL, STY_AFFICHAGE, STY_MODELE_CONV) VALUES (STAGES.STG_TYPE_SEQ.NEXTVAL, 'STGO', 'Stage obligatoire', 'Stage obligatoire comptant pour l''obtention du diplôme', 'tmp.odt');
INSERT INTO STAGES.STG_TYPE (STY_ID, STY_LC, STY_LL, STY_AFFICHAGE, STY_MODELE_CONV) VALUES (STAGES.STG_TYPE_SEQ.NEXTVAL, 'STGNO', 'Stage non-obligatoire', 'Stage non-obligatoire', 'tmp.odt');

--
-- Ne pas modifier les données ci-dessous
--

-- STG_ANNEE
INSERT INTO STAGES.STG_ANNEE (SAN_ID, SAN_DEBUT, SAN_FIN, SAN_COURANTE) VALUES ('2011', '2011', '2012', 'O');

-- STG_ETAT
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '0', 'INIT' , 'Demande initiée, en attente d''envoi pour validation');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '1', 'WVALP', 'En attente de validation pédagogique');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '2', 'WVALT', 'En attente de validation du tuteur');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '3', 'WTUTE', 'En attente de tuteur');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '4', 'WVADM', 'En attente de validation administrative');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '5', 'WEDIT', 'En attente d''édition');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '6', 'WSIGN', 'En attente des signatures');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '7', 'FINAL', 'Convention signée');

-- STG_EVENEMENT_TYPE
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'INIT' , 'Création initiale');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'MODIF', 'Modification de la demande');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'DVALP', 'Demande de validation pédagogique');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VALP' , 'Validation pédagogique');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'RVALP', 'Refus de validation pédagogique');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VALT' , 'Validation du tuteur');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'RVALT', 'Refus du tuteur');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'NEWTU', 'Désigation d''un tuteur');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'MODAD', 'Modification administrative');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VALAD', 'Validation administrative');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'EDIT' , 'Edition de la convention');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'SUPPR', 'Suppression du fichier de la convention');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'SIGNA', 'Réception des signatures');


--
-- DB_VERSION
--
UPDATE STAGES.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='0.1.0.0';

